CCfits::FitsError Class Reference
FITS Exceptions

FitsError is the exception thrown by non-zero cfitsio status codes. More...

`#include <FitsError.h>`

Inheritance diagram for CCfits::FitsError:

## Public Member Functions

| FitsError (int errornum, bool silent=true)
| ctor for cfitsio exception: translates status code into cfitsio error message More...
Public Member Functions inherited from CCfits::FitsException
| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message More...

## Detailed Description

FitsError is the exception thrown by non-zero cfitsio status codes.

## Constructor & Destructor Documentation

CCfits::FitsError::FitsError | ( | int | errornum,
|  | bool | silent = `true`
| ) |  |

ctor for cfitsio exception: translates status code into cfitsio error message

The exception prefixes the string "Fits Error: " to the message printed by cfitsio.

Parameters

  errornum | The cfitsio status code produced by the error.
  silent | A boolean controlling the printing of messages

The documentation for this class was generated from the following files:

- FitsError.h
- FitsError.cxx